import Ansi from './ansi.ts';

export enum HighlightType {
	None,
	Number,
	Match,
	String,
	SingleLineComment,
}

export function highlightToColor(type: HighlightType): string {
	switch (type) {
		case HighlightType.Number:
			return Ansi.color256(196);

		case HighlightType.Match:
			return Ansi.color256(21);

		case HighlightType.String:
			return Ansi.color256(201);

		case HighlightType.SingleLineComment:
			return Ansi.color256(45);

		default:
			return Ansi.ResetFormatting;
	}
}
